From: "Mart Raudsepp" <leio@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-plugins/gst-plugins-libav/
Date: Fri, 23 Nov 2018 09:49:04 +0000 (UTC) [thread overview]
Message-ID: <1542966483.8f125f43d325cb7faeaa9caab630768d7643ebae.leio@gentoo> (raw)
commit: 8f125f43d325cb7faeaa9caab630768d7643ebae
Author: Arfrever Frehtes Taifersar Arahesis <arfrever.fta <AT> gmail <DOT> com>
AuthorDate: Fri Nov 23 09:29:04 2018 +0000
Commit: Mart Raudsepp <leio <AT> gentoo <DOT> org>
CommitDate: Fri Nov 23 09:48:03 2018 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8f125f43
media-plugins/gst-plugins-libav: Update ffmpeg version with USE=libav
Closes: https://bugs.gentoo.org/666674
Signed-off-by: Mart Raudsepp <leio <AT> gentoo.org>
Package-Manager: Portage-2.3.49, Repoman-2.3.11
media-plugins/gst-plugins-libav/Manifest | 2 +
.../gst-plugins-libav-1.14.4.3.4.4.ebuild | 91 ++++++++++++++++++++++
2 files changed, 93 insertions(+)
diff --git a/media-plugins/gst-plugins-libav/Manifest b/media-plugins/gst-plugins-libav/Manifest
index 23cee3b8888..6628618c5a2 100644
--- a/media-plugins/gst-plugins-libav/Manifest
+++ b/media-plugins/gst-plugins-libav/Manifest
@@ -1,2 +1,4 @@
+DIST ffmpeg-3.4.4.tar.bz2 10181822 BLAKE2B 1b15d389576cbbe6d375e8934aac20a1d7ee5854c711aa90cc831201e5b1f42ed8b2c2b277ddde33060cda8fcd605dc6f3fa5e95ab8dff9125515de2d5bf8579 SHA512 6803ede26d403dd38835491e0b66c23856d62312a32520ad98866ebd4468d1d50723060c45101481282285711790bcf810c5012bc067e54568fc1954d361e620
DIST gst-libav-1.14.1.tar.xz 9031916 BLAKE2B 4f8426fd0c91ca9dd99d4d3820cee852610e957b4836b248f285a0d89b202af907f5f5f0ddb0cf2562eca6fb032a45ebe7fe3e6cbe5198f6d6852297cfd08091 SHA512 368d794d88b20fc879178c1984186a9dda7f8717e2e6bc17bd2dcd67be6d9dd55220da617f9872c40a63f5c9b3d11713ff96c8dbb0e4ffffb196f9464aae43d2
DIST gst-libav-1.14.2.tar.xz 9036096 BLAKE2B 68000c35a1c582c93ad1113941ce17e1c4212e79a5eae627a1c41fb22a9d8fe2d5bb5165abb3ee81e36938b8c0485e2b7ac5f4a4d59199e28cbe0b35d3d85ef3 SHA512 ce8e7eba57b14d522b90c94f933987659b7d6e58e66513b4b3f41a70354a3d0065bb6d077285ed56074aaddff65c3d1f1fa7fb17fb2f75e94fbe814dffa790de
+DIST gst-libav-1.14.4.tar.xz 9036732 BLAKE2B 1c2e257912f61dac71e1d890f4cb650e0cdbbf4472cbd8dc6b73e471d1914409b71699bd198c154069e15e68364530e91f76619afb52b91e373e58c9237ab7cb SHA512 4a0e9a91c23cba82e6a6b8eb65ff42b9d80389dd232b08c22b3431d3942fb93a6a7e64be97083d11cbceb2abe5d45dc5b37d230f7552e1a7fb193610d0530717
diff --git a/media-plugins/gst-plugins-libav/gst-plugins-libav-1.14.4.3.4.4.ebuild b/media-plugins/gst-plugins-libav/gst-plugins-libav-1.14.4.3.4.4.ebuild
new file mode 100644
index 00000000000..0ea80bb32d3
--- /dev/null
+++ b/media-plugins/gst-plugins-libav/gst-plugins-libav-1.14.4.3.4.4.ebuild
@@ -0,0 +1,91 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit eapi7-ver multilib-minimal
+
+MY_PN="gst-libav"
+MY_PV="$(ver_cut 1-3)"
+MY_P="${MY_PN}-${MY_PV}"
+FFMPEG_PV="$(ver_cut 4-)"
+
+DESCRIPTION="FFmpeg based gstreamer plugin"
+HOMEPAGE="https://gstreamer.freedesktop.org/modules/gst-libav.html"
+SRC_URI="https://gstreamer.freedesktop.org/src/${MY_PN}/${MY_P}.tar.xz
+ libav? ( https://ffmpeg.org/releases/ffmpeg-${FFMPEG_PV}.tar.bz2 )"
+
+LICENSE="LGPL-2+"
+SLOT="1.0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~x86 ~amd64-fbsd ~x86-fbsd"
+IUSE="libav +orc"
+
+RDEPEND="
+ >=dev-libs/glib-2.40.0:2[${MULTILIB_USEDEP}]
+ >=media-libs/gstreamer-${MY_PV}:1.0[${MULTILIB_USEDEP}]
+ >=media-libs/gst-plugins-base-${MY_PV}:1.0[${MULTILIB_USEDEP}]
+ !libav? (
+ >=media-video/ffmpeg-3.2.6:0=[${MULTILIB_USEDEP}]
+ <media-video/ffmpeg-4 )
+ libav? (
+ app-arch/bzip2[${MULTILIB_USEDEP}]
+ app-arch/xz-utils[${MULTILIB_USEDEP}]
+ )
+ orc? ( >=dev-lang/orc-0.4.17[${MULTILIB_USEDEP}] )
+"
+DEPEND="${RDEPEND}
+ >=dev-util/gtk-doc-am-1.12
+ >=virtual/pkgconfig-0-r1[${MULTILIB_USEDEP}]
+"
+
+S="${WORKDIR}/${MY_P}"
+
+RESTRICT="test" # FIXME: tests seem to get stuck at one point; investigate properly
+
+src_unpack() {
+ default
+
+ if use libav; then
+ # Use newer version of bundled FFmpeg.
+ rm -r "${S}/gst-libs/ext/libav" || die
+ ln -s ../../../ffmpeg-${FFMPEG_PV} "${S}/gst-libs/ext/libav" || die
+ fi
+}
+
+multilib_src_configure() {
+ GST_PLUGINS_BUILD=""
+ # Upstream dropped support for system libav and won't work
+ # for preserving its compat anymore, forcing us to rely on internal
+ # ffmpeg copy if we don't want to cause unresolvable blockers for
+ # libav setups.
+ # https://bugzilla.gnome.org/show_bug.cgi?id=758183
+ # Prefer system ffmpeg for -libav
+ local myconf
+
+ if use libav; then
+ ewarn "Using internal ffmpeg copy as upstream dropped"
+ ewarn "the support for compiling against system libav"
+ ewarn "https://bugzilla.gnome.org/show_bug.cgi?id=758183"
+ else
+ myconf="--with-system-libav"
+ fi
+
+ ECONF_SOURCE=${S} \
+ econf \
+ --disable-maintainer-mode \
+ --with-package-name="Gentoo GStreamer ebuild" \
+ --with-package-origin="https://www.gentoo.org" \
+ --disable-fatal-warnings \
+ $(use_enable orc) \
+ ${myconf}
+}
+
+multilib_src_compile() {
+ # Don't build with -Werror
+ emake ERROR_CFLAGS=
+}
+
+multilib_src_install_all() {
+ einstalldocs
+ find "${ED}" -name '*.la' -delete || die
+}
next reply other threads:[~2018-11-23 9:49 UTC|newest]
Thread overview: 121+ messages / expand[flat|nested] mbox.gz Atom feed top
2018-11-23 9:49 Mart Raudsepp [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-02-08 10:31 [gentoo-commits] repo/gentoo:master commit in: media-plugins/gst-plugins-libav/ Arthur Zamarin
2025-02-08 10:28 Arthur Zamarin
2025-02-07 16:18 Arthur Zamarin
2025-01-15 19:54 Mart Raudsepp
2024-04-22 8:19 Arthur Zamarin
2024-04-19 14:23 Arthur Zamarin
2024-04-15 5:01 Arthur Zamarin
2024-04-01 19:55 Mart Raudsepp
2023-08-21 6:31 Arthur Zamarin
2023-07-25 18:07 Arthur Zamarin
2022-12-13 18:26 Arthur Zamarin
2022-11-24 12:12 WANG Xuerui
2022-11-02 5:50 WANG Xuerui
2022-09-16 8:53 Arthur Zamarin
2022-05-25 15:47 Jakov Smolić
2022-04-01 9:55 Sam James
2022-04-01 6:53 Arthur Zamarin
2022-03-15 19:48 Sam James
2022-03-15 19:47 Sam James
2021-09-16 18:55 Sam James
2021-09-16 1:46 Sam James
2021-08-10 13:36 Marek Szuba
2021-02-18 8:47 Sam James
2021-02-17 13:53 Sam James
2021-02-15 4:03 Sam James
2021-02-14 2:09 Sam James
2021-02-13 21:41 Mart Raudsepp
2020-09-14 19:31 Michał Górny
2020-08-08 3:23 Sam James
2020-06-21 21:59 Mart Raudsepp
2020-05-07 12:52 Mart Raudsepp
2020-05-03 19:12 Mart Raudsepp
2020-05-03 19:12 Mart Raudsepp
2019-10-13 17:50 Mart Raudsepp
2019-10-13 17:46 Matt Turner
2019-10-13 17:46 Matt Turner
2019-10-12 23:50 Matt Turner
2019-09-26 20:00 Mikle Kolyada
2019-07-28 13:53 Mikle Kolyada
2019-07-08 12:10 Thomas Deutschmann
2019-05-21 17:37 Aaron Bauman
2019-05-21 6:35 Aaron Bauman
2019-04-04 11:50 Mart Raudsepp
2019-04-04 11:50 Mart Raudsepp
2019-03-30 14:23 Mart Raudsepp
2019-02-19 13:24 Alexis Ballier
2019-02-05 23:18 Mart Raudsepp
2019-01-25 2:38 Matt Turner
2019-01-15 23:38 Mart Raudsepp
2019-01-09 6:40 Matt Turner
2018-12-23 3:25 Matt Turner
2018-11-24 16:00 Mart Raudsepp
2018-11-23 9:49 Mart Raudsepp
2018-11-23 9:49 Mart Raudsepp
2018-11-06 21:38 Mart Raudsepp
2018-09-21 5:32 Mart Raudsepp
2018-09-19 8:42 Sergei Trofimovich
2018-09-17 22:54 Matt Turner
2018-08-22 5:12 Markus Meier
2018-07-31 8:46 Mart Raudsepp
2018-07-21 16:57 Tobias Klausmann
2018-07-16 13:49 Mikle Kolyada
2018-07-15 23:13 Mart Raudsepp
2018-06-16 18:27 Mart Raudsepp
2018-05-25 4:24 Matt Turner
2018-04-01 15:51 Tobias Klausmann
2018-03-28 19:24 Markus Meier
2018-03-18 19:36 Sergei Trofimovich
2018-03-17 17:44 Mikle Kolyada
2018-02-14 22:06 Mart Raudsepp
2018-02-14 22:06 Mart Raudsepp
2017-12-25 11:51 Markus Meier
2017-12-16 14:19 Mart Raudsepp
2017-11-11 21:49 Thomas Deutschmann
2017-11-08 20:50 Tobias Klausmann
2017-11-07 8:06 Sergei Trofimovich
2017-11-01 9:19 Sergei Trofimovich
2017-10-09 22:48 Thomas Deutschmann
2017-10-02 1:35 NP Hardass
2017-09-18 21:42 Mart Raudsepp
2017-09-18 21:42 Mart Raudsepp
2017-09-16 20:50 Mart Raudsepp
2017-09-02 4:29 Mart Raudsepp
2017-07-20 4:40 Markus Meier
2017-07-08 16:08 Sergei Trofimovich
2017-06-28 9:35 Alexis Ballier
2017-06-18 8:31 Mart Raudsepp
2017-06-10 20:14 Sergei Trofimovich
2017-04-05 14:07 Tobias Klausmann
2017-03-14 23:07 Michael Weber
2017-03-08 5:13 Jeroen Roovers
2017-02-28 17:33 Markus Meier
2017-02-25 9:58 Agostino Sarubbo
2017-02-25 9:57 Agostino Sarubbo
2017-02-25 8:22 Markus Meier
2017-02-24 19:51 Mart Raudsepp
2017-02-24 17:47 Markus Meier
2017-02-24 13:51 Agostino Sarubbo
2017-02-19 12:00 Jeroen Roovers
2017-01-22 18:03 Agostino Sarubbo
2017-01-22 17:45 Agostino Sarubbo
2016-12-06 21:34 Markus Meier
2016-09-26 10:10 Tobias Klausmann
2016-09-23 15:41 Tobias Klausmann
2016-07-09 15:09 Pacho Ramos
2016-06-11 11:30 Pacho Ramos
2016-05-03 20:47 Markus Meier
2016-03-06 19:39 Mikle Kolyada
2016-01-31 18:34 Pacho Ramos
2016-01-31 16:04 Gilles Dartiguelongue
2015-12-29 13:32 Pacho Ramos
2015-12-26 18:21 Gilles Dartiguelongue
2015-11-08 19:27 Gilles Dartiguelongue
2015-10-25 23:36 Gilles Dartiguelongue
2015-10-18 11:29 Mikle Kolyada
2015-10-03 8:49 Markus Meier
2015-09-28 4:44 Jeroen Roovers
2015-09-20 6:11 Jeroen Roovers
2015-09-16 8:43 Tobias Klausmann
2015-09-07 21:55 Mikle Kolyada
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1542966483.8f125f43d325cb7faeaa9caab630768d7643ebae.leio@gentoo \
--to=leio@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox